Bug 320731 - iwl3945 does not work on some unsecured network
iwl3945 does not work on some unsecured network
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 15:39 EDT by jean-noel
Modified: 2008-02-15 21:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:45:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jean-noel 2007-10-05 15:39:10 EDT
Description of problem:
at my home the iwl3945 work fine
at my work the iwl3945 does not work there is this log/message :

Oct  5 17:55:49 rembrandt kernel: iwl3945: Microcode SW error detected.  Restart
ing 0x82000008.
Oct  5 17:55:49 rembrandt kernel: iwl3945: Error Reply type 0x00000005 cmd REPLY
_RXON (0x10) seq 0x0402 ser 0x0000004B
Oct  5 17:55:49 rembrandt kernel: iwl3945: Error setting Tx power (-5).
Oct  5 17:55:50 rembrandt kernel: iwl3945: Can't stop Rx DMA.

message repeating multi times

seems similar to
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/121439


then the 
Version-Release number of selected component (if applicable):
laptop lenovo 3000N100

Linux rembrandt 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007 i686 i686
i386 GNU/Linux

iwl3945-firmware-2.14.1.5-1

[root@rembrandt ~]# modinfo iwl3945
filename:      
/lib/modules/2.6.22.9-91.fc7/kernel/drivers/net/wireless/iwlwifi/iwl3945.ko
license:        GPL
author:         Copyright(c) 2003-2007 Intel Corporation
version:        1.1.17kds
description:    Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux
srcversion:     159B4AAC4C8F1BBA4B3956F
alias:          pci:v00008086d00004227sv*sd*bc*sc*i*
alias:          pci:v00008086d00004222sv*sd*bc*sc*i*
depends:        mac80211
vermagic:       2.6.22.9-91.fc7 SMP mod_unload 686 4KSTACKS 
parm:           antenna:select antenna (1=Main, 2=Aux, default 0 [both]) (int)
parm:           disable:manually disable the radio (default 0 [radio on]) (int)
parm:           hwcrypto:using hardware crypto engine (default 0 [software])
 (int)
parm:           debug:debug output mask (int)
parm:           disable_hw_scan:disable hardware scanning (default 0) (int)
parm:           queues_num:number of hw queues. (int)
parm:           qos_enable:enable all QoS functionality (int)


How reproducible:
connecting to unsecured wireless networks

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
iwl3945 work on all networks

Additional info:
The PC freeze with other components like touchpad only when this bug occurs:
Oct  5 17:55:48 rembrandt kernel: psmouse.c: TouchPad at isa0060/serio4/input0 l
ost sync at byte 4
Oct  5 17:55:48 rembrandt kernel: psmouse.c: TouchPad at isa0060/serio4/input0 l
ost sync at byte 1
Oct  5 17:55:48 rembrandt last message repeated 3 times
Comment 1 Warren Togami 2007-10-05 15:49:38 EDT
> Oct  5 17:55:49 rembrandt kernel: iwl3945: Microcode SW error detected.  
> Restarting 0x82000008.

This is a kernel bug.
Comment 2 Christopher Brown 2008-01-14 13:32:29 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Christopher Brown 2008-02-15 21:45:37 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.